// Toggle display mode between simple and advanced editors
var bvpToggleEditor = function(ev, ui)
{
    var button = $("#bvp_toggle_editor");
    $(".show-text,.hide-text", button).toggle();
    $("table.edit_form").toggleClass("bvp-simple");
    var minimal = button.data("minimal") ? false : true;
    button.data("minimal", minimal);
    if (ui != 'init') {
        $.cookie("bvp_hide_advanced", minimal);
    }
}

// Initialize simple editor toggle
var bvpInitEditorToggle = function(simpleSelector, hideAdvanced) {
    if (hideAdvanced == "remember") {
        hideAdvanced = $.cookie("bvp_hide_advanced") ? true : false;
    } else if (hideAdvanced == "rememberhide") {
        hideAdvanced = $.cookie("bvp_hide_advanced");
        hideAdvanced = hideAdvanced !== "false" ? true : false;
        if (hideAdvanced || !!$.cookie("bvp_show_advanced")) {
            $.cookie("bvp_hide_advanced", true);
            hideAdvanced = true;
        }
    } else {
       hideAdvanced = hideAdvanced == "on" ? true : false;
    }
    var toggleButton = $("#bvp_toggle_editor").on('click', bvpToggleEditor);
    $("#bz_top_half_spacer").after(toggleButton);
    $(".bz_show_bug_column tr").not(
            $("table.edit_form").find(simpleSelector).closest("tr")
        ).addClass("bvp-advanced");
    if (hideAdvanced) {
        toggleButton.trigger('click', 'init');
    }
}

var old_ts;
var bug_id;
var old_time = new Date(old_ts).getTime();
var poll_wait = 120000;

function doPoll() {
  new Rpc("Bug", "get", {ids: [bug_id], include_fields: ['id', 'last_change_time']})
    .fail(function(error) {
      alertify.error(error.message);
    })
    .complete(function(result) {
      var new_ts = result.response.bugs[0].last_change_time;
      var new_time = new Date(new_ts).getTime();
      if((new_time > old_time) && show_alerts && document.visibilityState == 'visible')
      {
        var note = alertify.warning(
          'This bug has been updated.<br><a href="javascript:location.reload(true);">Reload</a> or <a href="#">Ignore</a>',
          0,
          function (isClicked) {
            old_ts = new_ts;
            old_time = new_time;
            setTimeout(doPoll, poll_wait)}
        );
      } else {
        setTimeout(doPoll, poll_wait);
      }
    });
}
