#!/usr/bin/perl
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

use strict;
use warnings;
use 5.10.1;

my $curr_tag = qx/git describe --tags --abbrev=0 --match=Release*/;
chomp($curr_tag);

my $cmd
  = qq{git log $curr_tag..HEAD --no-merges --format="<li>\%s</li>" | grep -P 'li>Bug \\d+' | sort -u };
my $html_log = qx/$cmd/;
$html_log =~ s{Bug (\d+)}{<a href='https://bugzilla.redhat.com/$1'>Bug $1</a>}g;
$html_log =~ s{a>\s*-\s*}{a> }g;
$html_log =~ s/\n//g;
print
  qq{<div class='message'><details><summary><b>Note:</b> This installation is carrying the following unreleased changes since $curr_tag (click me to see the list)</summary> <ul>$html_log</ul></details></div>};
